# List all admins

You can fetch a list of admins for a given workspace.

Endpoint: GET /admins
Version: 2.11
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "Preview"

## Query parameters:

  - `display_avatar` (boolean)
    If set to true, the response will include the admin's avatar object containing the image URL. Defaults to false.
    Example: true

## Response 200 fields (application/json):

  - `type` (string, required)
    String representing the object's type. Always has the value admin.list.
    Enum: "admin.list"

  - `admins` (array, required)
    A list of admins associated with a given workspace.

  - `admins.type` (string)
    String representing the object's type. Always has the value admin.
    Enum: "admin"

  - `admins.id` (string, required)
    The id representing the admin.
    Example: "1295"

  - `admins.name` (string, required)
    The name of the admin.
    Example: "Hoban Washburne"

  - `admins.email` (string, required)
    The email of the admin.
    Example: "wash@serenity.io"

  - `admins.job_title` (string, required)
    The job title of the admin.
    Example: "Philosopher"

  - `admins.away_mode_enabled` (boolean, required)
    Identifies if this admin is currently set in away mode.

  - `admins.away_mode_reassign` (boolean, required)
    Identifies if this admin is set to automatically reassign new conversations to the apps default inbox.

  - `admins.has_inbox_seat` (boolean, required)
    Identifies if this admin has a paid inbox seat to restrict/allow features that require them.
    Example: true

  - `admins.team_ids` (array, required)
    This object represents the avatar associated with the admin.
    Example: [814865]

  - `admins.avatar` (string,null)
    Image for the associated team or teammate
    Example: "https://picsum.photos/200/300"

  - `admins.team_priority_level` (object)
    Admin priority levels for teams

  - `admins.team_priority_level.primary_team_ids` (array,null)
    The primary team ids for the team
    Example: [814865]

  - `admins.team_priority_level.secondary_team_ids` (array,null)
    The secondary team ids for the team
    Example: [493881]

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


